MediaLit Logo
MediaLit
FeaturesPricingDocs
Help CenterAPI Reference

Help Center

Introduction

  • Introduction
  • Quick start
  • Why MediaLit
  • How MediaLit works
  • API keys

For agents

  • MCP Server
  • CLI

For apps

  • Next.js
  • React
  • Other frameworks
  • Express
  • Node.js SDK

For humans

  • Dashboard

Self-hosting

  • Self hosting

Resources

  • Frequently asked questions

Upgrades

  • Upgrade from v0.4.0 to v0.5.0
  • Upgrade from v0.5.x to v0.6.0

API Reference

Media
See all Media endpoints
Settings
See all Settings endpoints
Other
See all Other endpoints

API Reference

Medialit API
v0.3.0

Easy file uploads for serverless apps

openapi.json

Base URL

  • https://api.medialit.cloudAPI Server

Authentication

  • API key in the x-medialit-apikey header

  • Bearer token (JWT)

  • API key in the x-medialit-signature header

Media

  • POST
    /media/signature/create
    Create Upload Signature
  • POST
    /media/create
    Upload Media
  • POST
    /media/get/count
    Get Media Count
  • POST
    /media/get/size
    Get Total Size
  • POST
    /media/get/{mediaId}
    Get Media Details
  • POST
    /media/get
    List Media
  • POST
    /media/seal/{mediaId}
    Seal Media
  • DEL
    /media/delete/{mediaId}
    Delete Media

Settings

  • POST
    /settings/media/create
    Update Media Settings
  • POST
    /settings/media/get
    Get Media Settings

Other

  • GET
    /health
    Status of the server

MediaLit

Resources

DocsGitHubPricing

Legal

TermsPrivacy

Alternatives

MediaLit vs Amazon S3MediaLit vs UploadThingMediaLit vs CloudinaryMediaLit vs FilestackMediaLit vs Vercel BlobMediaLit vs Supabase Storage
© MediaLit. All rights reserved.